<?php
	/**
	 * -----------------------------------------
	 * @author Nico Schubert / www.php-space.info
	 * @copyright Das Script kann unter Verwendung des Copyright uneingeschrnkt genutzt / verndert werden. Das Copyright muss im Code sowie in der Ausgabe erhalten bleiben.
	 * @version Simple PHP Forum 1.03 - 21.08.2011
	 * @abstract Das Script luft erst ab der Php Version 5.0 oder hher. Wenn Sie Probleme mit den Einrichten haben, so schauen Sie bitte in die Anleitung -> Installationsanleitung_1.01.pdf
	 * -----------------------------------------
	*/
session_start();
if(@file_exists('config.php')==true)
	include_once('config.php');
else {
	 echo 'No Config File existing.';
	 exit;
}
if(@file_exists('language/'.$language_file)==true)
	include_once('language/'.$language_file);
else {
	 echo 'No Language File existing.';
	 exit;
}
if(file_exists('error_log.php')==true)
	include_once('error_log.php');
if(function_exists("date_default_timezone_set")==true)
	@date_default_timezone_set($timezone);
if(file_exists('function.php')==true)
	include_once('function.php');
if(file_exists('dbcache_class.php')==true)
	include_once('dbcache_class.php');
if(file_exists('navigation.php')==true)
	include_once('navigation.php');
$dbh = new DBI($mysql_host, $mysql_db,$mysql_benutzer, $mysql_password, $mysql_cachedir);
if(!isset($_POST['senden'])) $_POST['senden']=0; else $_POST['senden']=sprintf("%d", $_POST['senden']);
if(!isset($_POST['suchwort'])) $_POST['suchwort']=''; else $_POST['suchwort']=sprintf("%s", $_POST['suchwort']);
$ausgabe_suche='';
if($_POST['senden']!='0' AND $_POST['suchwort']!=''){
	$sql_select="SELECT beitrag_id FROM `".$mysql_praefix."post` WHERE MATCH ( text ) AGAINST ( '".mysql_escape_string($_POST['suchwort'])."' ) OR text LIKE '%".mysql_escape_string($_POST['suchwort'])."%' LIMIT  30";
	$sth = $dbh->prepare($sql_select, 60);
    $sth->execute();
    $anzahl=$sth->rows();
    $zurueck_link="<a href=\"".$url."/suchen.php?".SID."\">".$lang['suche_15']."</a>";
	if($sth->rows()==0){
		$lang['suche_8']=str_replace("~zurueck_link~",$zurueck_link, $lang['suche_8']);
		$ausgabe_suche .= " <tr>";
		$ausgabe_suche .= "  <td class=\"td_style\" colspan=\"3\">".$lang['suche_8']."</td>";
		$ausgabe_suche .= " </tr>";
	} else {

		$c=str_replace("~anz_gefunden~",$anzahl, $lang['suche_14']);
		$d=str_replace("~suchwort~",htmlspecialchars($_POST['suchwort']), $c);
		$f=str_replace("~zurueck_link~",$zurueck_link, $d);
		$ausgabe_suche .= " <tr>";
		$ausgabe_suche .= "  <td class=\"td_style\" colspan=\"3\">".$f."</td>";
		$ausgabe_suche .= " </tr>";
		$ausgabe_suche .= " <tr>";
		$ausgabe_suche .= "  <td colspan=\"3\" class=\"td_style\"></td>";
		$ausgabe_suche.= " </tr>\n";
		$ausgabe_suche .= " <tr>";
		$ausgabe_suche .= "  <td class=\"td_style_head\">".$lang['suche_9']."</td>";
		$ausgabe_suche .= "  <td class=\"td_style_head\">".$lang['suche_10']."</td>";
		$ausgabe_suche .= "  <td class=\"td_style_head\">".$lang['suche_11']."</td>";
		$ausgabe_suche .= " </tr>";
		$zeile = 0;
		$style1 = 'class="td_style2"';
		$style2 = 'class="td_style3"';
		while($daten = $sth->fetchrow_hash()){
			$zeile++;
			$style = ($zeile % 2) ? ($style1) : ($style2);

			$sql_select2="SELECT * FROM `".$mysql_praefix."beitraege` WHERE `id` = '".$daten["beitrag_id"]."' ";
			#ech
            $sth2 = $dbh->prepare($sql_select2, $cache_time);
            $sth2->execute();
            $daten_beitraege = $sth2->fetchrow_hash();
            $sth2->finish();

            $sql_select3="SELECT count(id) as `anz` FROM `".$mysql_praefix."post` WHERE `id` = '".$daten_beitraege["id"]."';";
            $sth3 = $dbh->prepare($sql_select3, $cache_time);
            $sth3->execute();
            $daten_post_anz = $sth3->fetchrow_hash();
            $sth3->finish();



			$ausgabe_suche .= " <tr>";
			$a=str_replace("~zeit~",date("d.m.y \\u\\m H:i", $daten_beitraege["erstellt_am"]), $lang['suche_12']);
			$b=str_replace("~autor~",userid_to_username($daten_beitraege["autor"]), $a);
			$ausgabe_suche .= "  <td ".$style."><a href=\"".$url."/beitraege.php?".SID."&bid=".$daten_beitraege["id"]."\"><b><u>".htmlentities(stripslashes($daten_beitraege["title"]))."</u></b></a><br><font class=\"font_klein\">".$b."</font></td>";
			$ausgabe_suche .= "  <td ".$style.">".$daten_post_anz["anz"]."</td>";
			$ausgabe_suche .= "  <td ".$style.">".userid_to_username($daten_beitraege["autor"])."</td>";
			$ausgabe_suche .= "</tr>";
		}
		$ausgabe_suche .= " <tr>";
		$ausgabe_suche .= "  <td class=\"td_style\" colspan=\"3\">".$lang['suche_13']."</td>";
		$ausgabe_suche .= " </tr>";
	}
	$sth->finish();

}
$ausgabe  ='<html>';
$ausgabe .='<head>';
$ausgabe .='<title>'.$lang['suche_1'].'</title>';
$ausgabe .='<link rel="stylesheet" type="text/css" href="style.css">';
$ausgabe .='</head>';
$ausgabe .='<body>';
$ausgabe .='<center>';
$ausgabe.= '<form action="suchen.php?'.SID.'" method="post">';
$ausgabe.= '<input type="hidden" name="senden" value="1">';
$ausgabe .= '<table class="table_style" cellpadding="0" cellspacing="0">';
$ausgabe .= " <tr>";
$ausgabe .= "  <td colspan=\"3\" class=\"td_style\">";
$ausgabe .= '		<table class="table_style_title" cellpadding="0" cellspacing="0">';
$ausgabe .= " 			<tr>";
$ausgabe .= "  				<td class=\"td_style_h1\"><h1>".$lang['suche_2']."</h1></td>";
$ausgabe .= "  				<td>&nbsp;&nbsp;</td>";
$ausgabe .= "  				<td nowrap>".navigation()."</td>";
$ausgabe .= " 			</tr>";
$ausgabe .= " 		</table>";
$ausgabe .= "	</td>";
$ausgabe .= " </tr>";
$ausgabe .= " <tr>";
$ausgabe .= "  <td colspan=\"3\" class=\"td_style\">".$lang['suche_3']."<a href=\"".$url."".SID."\">".$forum_name."</a> >  <a href=\"".$url."/suchen.php?".SID."\">".$lang['suche_4']."</a></td>";
$ausgabe .= " </tr>";
$ausgabe .= " <tr>";
$ausgabe .= "  <td colspan=\"3\" class=\"td_style\"></td>";
$ausgabe.= " </tr>\n";
if($_POST['senden']!='0' AND $_POST['suchwort']!=''){
	$ausgabe .= $ausgabe_suche;
} else {
	$ausgabe .= " <tr>";
	$ausgabe .= "  <td colspan=\"3\" class=\"td_style\">".$lang['suche_5']."</td>";
	$ausgabe.= " </tr>\n";
	$ausgabe.= " <tr>\n";
	$ausgabe.= "		<td class=\"td_style_links\">".$lang['suche_6']."</td>\n";
	$ausgabe.= "		<td colspan=\"2\" class=\"td_style\"><input type=\"text\" value=\"".htmlspecialchars($_POST["suchwort"])."\" name=\"suchwort\" class=\"input_style\"></td>\n";
	$ausgabe.= " </tr>\n";
	$ausgabe.= " <tr>\n";
	$ausgabe.= "		<td class=\"td_style_links\"></td>\n";
	$ausgabe.= "		<td colspan=\"2\"  class=\"td_style\"><input type=\"submit\" value=\"".$lang['suche_7']."\" name=\"daten[senden]\" class=\"input_style_submit_anmelden\"></td>\n";
	$ausgabe.= " </tr>\n";
}
$ausgabe .='</table>';
$ausgabe .='</form>';
eval(base64_decode("JGF1c2dhYmUgLj0iPHA+UG93ZXJlZCBieSA8YSBocmVmPVwiaHR0cDovL3d3dy5waHAtc3BhY2Uu
aW5mby9zaW1wbGUtcGhwLWZvcnVtL1wiPlNpbXBsZSBQSFAgRm9ydW08L2E+IKkgMjAwOSBQaHAt
U3BhY2UuaW5mbyANCjwvcD4iOw=="));
$ausgabe .='</center>';
$ausgabe.= "</body>\n";
$ausgabe.= "</html>\n";
echo $ausgabe;
exit;
?>